class tails::gitolite::hooks::jenkins_jobs {

  file {
    '/var/lib/gitolite/.gitolite/hooks/jenkins_jobs':
      ensure => directory,
      mode   => '0755',
      owner  => gitolite,
      group  => gitolite;

    '/var/lib/gitolite/.gitolite/hooks/jenkins_jobs/post-update.hook':
      source => 'puppet:///modules/tails/gitolite/hooks/jenkins_jobs-post-update.hook',
      mode   => '0700',
      owner  => gitolite,
      group  => gitolite;

    '/var/lib/gitolite/.gitolite/hooks/jenkins_jobs/pre-receive.hook':
      source => 'puppet:///modules/tails/gitolite/hooks/jenkins_jobs-pre-receive.hook',
      mode   => '0700',
      owner  => gitolite,
      group  => gitolite;
  }

}
